org.flexdock.dockbar.activation

## Class Animation

- java.lang.Object
- - org.flexdock.dockbar.activation.Animation

All Implemented Interfaces:
  java.awt.event.ActionListener, java.lang.Runnable, java.util.EventListener

    public class Animation
    extends java.lang.Object
    implements java.lang.Runnable, java.awt.event.ActionListener

Author:
  Christopher Butler

### Constructor Summary

Constructors
Constructor and Description
`Animation(DockbarManager mgr, boolean hide)`

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.Runnable` `getNext()`
`void` `run()`
`void` `setNext(java.lang.Runnable next)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Animation

    public Animation(DockbarManager mgr,
             boolean hide)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`

#### getNext

    public java.lang.Runnable getNext()

#### setNext

    public void setNext(java.lang.Runnable next)